# class BitmapFilter

#### package openfl.filters

#### extended by BlurFilter, ColorMatrixFilter, DropShadowFilter, GlowFilter

Available on all platforms

The BitmapFilter class is the base class for all image filter effects.

The BevelFilter, BlurFilter, ColorMatrixFilter, ConvolutionFilter, DisplacementMapFilter, DropShadowFilter, GlowFilter, GradientBevelFilter, and GradientGlowFilter classes all extend the BitmapFilter class. You can apply these filter effects to any display object.

You can neither directly instantiate nor extend BitmapFilter.

### Constructor

###

`new ()`

### Methods

###

`clone ():BitmapFilter`

Returns a BitmapFilter object that is an exact copy of the original BitmapFilter object.

Returns:

A BitmapFilter object.